AmiQuote 3.30 is released now


#1

A new public version of AmiQuote 3.30 BETA is released now.

Direct links:
http://www.amibroker.com/bin/aq3300.exe (128KB) – 32 bit version
http://www.amibroker.com/bin/aq3300x64.exe (179KB) – 64 bit version

NOTE: 64-bit version of AmiQuote now requires Microsoft Visual C++ 2017 runtime. You may need to download the runtime separately and install it, if you are installing AmiQuote stand-alone (without AmiBroker 6.28 64-bit or higher already installed). If you already have AmiBroker 6.28+ 64-bit you don't need to do anything.

CHANGES FOR VERSION 3.30 (as compared to version 3.28)

  1. Google Intraday downloads now support new intervals 10, 30 and 60 minutes with backfill length upto 1 year (for 30/60 minute interval)
  2. Google EOD downloads are back again. Market coverage is greater than before and supports EXCHANGE:SYMBOL notation for non-US markets (same as for Google Intraday)
  3. Yahoo Fundamental Extra now downloads full name too
  4. Removed unused intervals (3-minute, 120-minute)
  5. Now defunct Yahoo Fund. Basic option removed

(This thread continues the discussion from AmiQuote 3.28 (BETA) is released now)


#2

Thanks Tomasz,.. Very nice!


#3

@Tomasz,

Yahoo Fundamental Extra now downloads full name too

Very appreciated!

It would be nice if, in a future upgrade, AmiQuote would automatically convert the most common HTML entities when downloading Full Names from Yahoo.

For example, PG ticker full name is downloaded as:

The Procter & Gamble Company

Ideally, it should be converted to:

The Procter & Gamble Company

No big deal, but a nice extra touch!


#4

Dear all,

I download the update and double click on the download file. The program loaded however an error occurred - "An error prevent this program continuing - Could not extract the current file"

I have updated amiquote many times before and this is the 1st time this error is seen.

Appreciate if you could comment on how to solve this...

Thanks,


#5

The answer to your question already exists on the forum (please use search before posting):


#6

Hi Tomasz,

Thank you for the update. I would like to mention that after updating to 3.30, my custom aqq_chris.format file had been replaced with the default version of this file. In future updates, would it be possible to not overwrite existing format files?


#7

Trouble is that this small AQ updater is just very simple self-extractor and it does not have much logic inside, so it just replaces the files present in the archive. Full-blown setup program (that AmiBroker uses) does this kind of check and does not replace newer files. I may eventually retire this self-extractor and use something else that will offer more options.